Upgrade to 4 just to get plugins for 3.3?

I’d like to pay my $25 to get the upgrade, but I am only really interested in using the now included eq and compresser plugins. Is it easy and will it work to install 4, then move the plugins to my 3.3 installation?

Nope … the functionality of the comp and EQ as a non-demo is proprietary to version 4.
I mean, you could try it but unless Flavio has changed something, last time I tried they acted as demos in 3.3.